[git] gnupg-doc - branch, master, updated. 76d1d716ba2fa6ebe0a4d9d6597d2facd36614ae

by Justus Winter cvs at cvs.gnupg.org
Thu Dec 15 11:30:30 CET 2016


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The GnuPG website and other docs".

The branch, master has been updated
       via  76d1d716ba2fa6ebe0a4d9d6597d2facd36614ae (commit)
       via  567ca86d3fe4b56f47b7c241fd4dcd938a3b0c35 (commit)
       via  bb6a2cb7ca5506cb993e35e830cc78b59512c37e (commit)
       via  878f87e1892e1125e3f57cab7062e88273350a2a (commit)
      from  70e237ec44ca73b2d7fe8f812042e8446306a69b (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 76d1d716ba2fa6ebe0a4d9d6597d2facd36614ae
Author: Justus Winter <justus at g10code.com>
Date:   Thu Dec 15 11:04:01 2016 +0100

    jenkins: Only do scan-builds on nightly builds.

diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index f5a48bd..956884c 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -50,9 +50,9 @@ MAKEFLAGS="-j2"
 
 SCANBUILD=
 if [ "$(uname)" = Linux ] \
-       && [ "$GIT_PREVIOUS_COMMIT" = "$GIT_COMMIT" ]; then
-    # We only do scan-builds (which are really slow), if the tree is
-    # stable (most commonly on nightly builds).
+       && [ "$ROOT_BUILD_CAUSE_TIMERTRIGGER" = true ]; then
+    # We only do scan-builds (which are really slow) on nightly
+    # builds.
     SCANBUILD="scan-build -o ${WORKSPACE}/clangScanBuildReports -v"
 fi
 CONFIGUREFLAGS=

commit 567ca86d3fe4b56f47b7c241fd4dcd938a3b0c35
Author: Justus Winter <justus at g10code.com>
Date:   Wed Dec 14 17:27:39 2016 +0100

    jenkins: Use GPGMEs test suite for GnuPG

diff --git a/misc/jenkins/README.org b/misc/jenkins/README.org
new file mode 100644
index 0000000..8691018
--- /dev/null
+++ b/misc/jenkins/README.org
@@ -0,0 +1,12 @@
+* Notes
+** GPGME tests for GnuPG
+There is a reasonably up-to-date (but this is currently a manual
+process) GPGME source at
+
+  $HOME/src/gpgme-for-gnupgs-tests
+
+and a build tree at
+
+  $HOME/src/gpgme-for-gnupgs-tests/obj
+
+The tests from there are executed in GnuPG's test suite.
diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index fd3f5a1..f5a48bd 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -93,6 +93,13 @@ case "$JOB_NAME" in
         ;;
 esac
 
+# See if we have a GPGME checkout for the tesets.
+xtest_gpgme_srcdir="$HOME/src/gpgme-for-gnupgs-tests"
+if [ -d "$xtest_gpgme_srcdir/obj" ]; then
+    export XTEST_GPGME_SRCDIR="$xtest_gpgme_srcdir"
+    export XTEST_GPGME_BUILDDIR="$xtest_gpgme_srcdir/obj"
+fi
+
 # We build on the "obj" subdir.
 abs_configure="$(pwd)/configure"
 mkdir -p obj

commit bb6a2cb7ca5506cb993e35e830cc78b59512c37e
Author: Justus Winter <justus at g10code.com>
Date:   Wed Dec 14 14:54:30 2016 +0100

    jenkins: Run scan-build only if the tree is stable.

diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index 8388d6d..fd3f5a1 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -49,8 +49,10 @@ MAKEFLAGS="-j2"
 
 
 SCANBUILD=
-if [ "$(uname)" = Linux ]; then
-    # XXX: We should really have an analyzer target
+if [ "$(uname)" = Linux ] \
+       && [ "$GIT_PREVIOUS_COMMIT" = "$GIT_COMMIT" ]; then
+    # We only do scan-builds (which are really slow), if the tree is
+    # stable (most commonly on nightly builds).
     SCANBUILD="scan-build -o ${WORKSPACE}/clangScanBuildReports -v"
 fi
 CONFIGUREFLAGS=

commit 878f87e1892e1125e3f57cab7062e88273350a2a
Author: Justus Winter <justus at g10code.com>
Date:   Wed Dec 14 14:39:59 2016 +0100

    jenkins: Update build script

diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index 23f78eb..8388d6d 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -1,14 +1,18 @@
 #!/bin/bash
+# Script used jenkins to run builds for GnuPG and related packages.
 
+# Stop on error and be nice to other processes.
 set -xe
-
 renice -n 10 -p $$
 
+# Setup important envars
 PREFIX=$HOME/prefix/$XTARGET
 ORIGINAL_PREFIX=$HOME/prefix/$XTARGET
-export PATH=$PREFIX/bin:$PATH
+export PATH=/home/jenkins/bin:$PREFIX/bin:$PATH
 
+# Print the environment.
 env
+ulimit -a
 
 # Tweak the prefix we're installing this project into.  For gnupg-1.4
 # and friends.
@@ -25,16 +29,25 @@ case "$JOB_NAME" in
 esac
 mkdir -p $PREFIX
 
+
 fix_permissions()
 {
   find $1 -type d -exec chmod +w {} + || true
 }
 
 fix_permissions .
+
+# Clean everything
 git clean -fdx
+
+# Run out autogen - note that --force is not required due to the git clean.
 ./autogen.sh
 
+# Out current box seems to have cache coherency problems, thus we have
+# disabled all but one CPU.
 MAKEFLAGS="-j2"
+
+
 SCANBUILD=
 if [ "$(uname)" = Linux ]; then
     # XXX: We should really have an analyzer target
@@ -54,6 +67,7 @@ if [ "$(uname)" = Darwin ]; then
     CXXFLAGS="$CXXFLAGS -D$cversion"
 fi
 
+# Tweak the build depending on the package.
 case "$JOB_NAME" in
     *tgpg*)
         MAKEFLAGS="$MAKEFLAGS GPG=/usr/bin/gpg2"
@@ -77,10 +91,12 @@ case "$JOB_NAME" in
         ;;
 esac
 
+# We build on the "obj" subdir.
 abs_configure="$(pwd)/configure"
 mkdir -p obj
 cd obj
 
+# Switch on the different targets.
 case "$XTARGET" in
     native)
         ASAN_OPTIONS=detect_leaks=0 \
@@ -89,12 +105,10 @@ case "$XTARGET" in
 	           $CONFIGUREFLAGS \
 	           "$CONFIGUREFLAGS_0" \
 	           CFLAGS="$CFLAGS $SANFLAGS -fPIC" \
-	           CXXFLAGS="$CXXFLAGS $SANFLAGS -fPIC -std=c++11"
+	           CXXFLAGS="$CXXFLAGS $SANFLAGS -fPIC -std=c++11" \
+                   LD_LIBRARY_PATH=$PREFIX/lib
         $SCANBUILD make $MAKEFLAGS
 
-        # so make sure the asan runtime is there for e.g. python
-        PATH=/home/jenkins/bin:$PATH \
-        LD_LIBRARY_PATH=$PREFIX/lib \
           make check verbose=2 LD_LIBRARY_PATH=$PREFIX/lib || true
         # Jenkins looks for "tests? failed" to mark a build unstable,
         # hence || true here
@@ -139,10 +153,14 @@ case "$XTARGET" in
 	}
 	trap cleanup EXIT
 
+          # We use a different WORKDIR to avoid problems with too long
+          # file names
 	  cd "$WORKDIR"
           $abs_configure --prefix=$PREFIX --enable-maintainer-mode \
                    $CONFIGUREFLAGS LD_LIBRARY_PATH=$PREFIX/lib
-          make $MAKEFLAGS distcheck
+          make $MAKEFLAGS distcheck LD_LIBRARY_PATH=$PREFIX/lib
+
+          # Extract the tarname from the package
           tarname=$(awk <config.h '
 	             /^#define PACKAGE_TARNAME/ {gsub(/"/,"",$3);name=$3};
 	             /^#define PACKAGE_VERSION/ {gsub(/"/,"",$3);vers=$3};
@@ -155,10 +173,11 @@ case "$XTARGET" in
 	     echo "No tarball named $tarname found - skipping installation" >&2
 	     exit 0
 	  fi
+          # And do a final build using the generated tarball
 	  cd ${tarname}
 	  ./configure --prefix=$PREFIX $CONFIGUREFLAGS LD_LIBRARY_PATH=$PREFIX/lib
-	  make $MAKEFLAGS
-	  make $MAKEFLAGS install
+	  make $MAKEFLAGS         LD_LIBRARY_PATH=$PREFIX/lib
+	  make $MAKEFLAGS install LD_LIBRARY_PATH=$PREFIX/lib
 
         ;;
     *)

-----------------------------------------------------------------------

Summary of changes:
 misc/jenkins/README.org     | 12 +++++++++++
 misc/jenkins/bin/build.bash | 50 +++++++++++++++++++++++++++++++++++----------
 2 files changed, 51 insertions(+), 11 deletions(-)
 create mode 100644 misc/jenkins/README.org


hooks/post-receive
-- 
The GnuPG website and other docs
http://git.gnupg.org




More information about the Gnupg-commits mailing list